
Katello - Bug #6202

when clicking the puppet module list, taken to content search page but not shown list of modules

06/12/2014 06:04 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1085494 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1085494

Description of problem:

snap6 compose 2

When you are looking at a repo of puppet modules and click the number of modules (eg: 2), you are taken to the content search

page. However, it is not automatically set up to search puppet modules. You have to manually select the puppet dropdown and then

hit search.

Expected results:

When clicking the link, you should be taken to a page that has already performed the search.

Related issues:

Related to Katello - Bug #6201: Links to content search searches don't set up... Rejected 06/12/2014

Associated revisions

Revision 0a756646 - 06/12/2014 07:05 PM - David Davis

Fixes #6202,BZ1085494 - Fix legacy_search for PuppetModule

Revision 87e98f8d - 06/12/2014 08:37 PM - David Davis

Merge pull request #4261 from daviddavis/temp/20140612150554

Fixes #6202,BZ1085494 - Fix legacy_search for PuppetModule

History

#1 - 06/12/2014 06:05 PM - David Davis

- Related to Bug #6201: Links to content search searches don't set up the criteria properly added

#2 - 06/12/2014 08:53 PM - David Davis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:0a7566462fcd6d98f3195aad8da65d70ffe6bddd.

#3 - 06/13/2014 11:29 PM - Eric Helms

- Target version set to 45

- Difficulty set to easy

- Triaged set to Yes

#4 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
